caoss.simulator.configuration

## Class Hardware

- java.lang.Object
- - caoss.simulator.configuration.Hardware

-     public class Hardware
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Clock` | `clock`
    `static java.lang.Class<? extends CPUCore>` | `cpuCoreClass` The class implementing the behavior of a CPU core
    `static CPUCore[]` | `cpuCores` The array of @see numberOfCPUCores CPU cores
    `static java.util.Map<DeviceId,Device>` | `devices` The computer's set of devices
    `static int` | `GByte`
    `static java.lang.Class<? extends AbstractInterruptController>` | `interruptControlerClass` The class implementing the interrupt controller
    `static int` | `KByte`
    `static int` | `MByte`
    `static int` | `numberOfCPUCores` Number of cores of the simulated CPU
    `static RAM` | `ram` Installed RAM

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hardware()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KByte

          public static final int KByte

      See Also:
        Constant Field Values

    - #### MByte

          public static final int MByte

      See Also:
        Constant Field Values

    - #### GByte

          public static final int GByte

      See Also:
        Constant Field Values

    - #### clock

          public static final Clock clock

    - #### cpuCoreClass

          public static final java.lang.Class<? extends CPUCore> cpuCoreClass

      The class implementing the behavior of a CPU core

    - #### numberOfCPUCores

          public static final int numberOfCPUCores

      Number of cores of the simulated CPU
      See Also:
        Constant Field Values

    - #### cpuCores

          public static final CPUCore[] cpuCores

      The array of @see numberOfCPUCores CPU cores

    - #### ram

          public static final RAM ram

      Installed RAM

    - #### interruptControlerClass

          public static final java.lang.Class<? extends AbstractInterruptController> interruptControlerClass

      The class implementing the interrupt controller

    - #### devices

          public static final java.util.Map<DeviceId,Device> devices

      The computer's set of devices

  - ### Constructor Detail

    - #### Hardware

          public Hardware()